Bug 199862 - [PATCH] www/rubygem-gollum-lib to latest version 4.0.3
Summary: [PATCH] www/rubygem-gollum-lib to latest version 4.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Michael Moll
URL:
Keywords: patch
Depends on: 199808 199860 199861
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-02 09:50 UTC by Michael Fausten
Modified: 2015-05-26 19:48 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
www/rubygem-gollum-lib to latest version (1.54 KB, patch)
2015-05-02 09:50 UTC, Michael Fausten
no flags Details | Diff
fixed patch for rubygem-gollum-lib update to 4.0.3 (1.75 KB, patch)
2015-05-05 10:13 UTC, Torsten Zühlsdorff
no flags Details | Diff
diff for rubygem-gollum-lib update to 4.0.3 without gem-patch (3.12 KB, patch)
2015-05-11 09:31 UTC, Torsten Zühlsdorff
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Fausten 2015-05-02 09:50:12 UTC
Created attachment 156235 [details]
www/rubygem-gollum-lib to latest version
Comment 1 Torsten Zühlsdorff 2015-05-05 10:13:05 UTC
Created attachment 156368 [details]
fixed patch for rubygem-gollum-lib update to 4.0.3

The given patch did not apply correctly. It seems its written against an older version of the port. Therefore i updated the patch.
Comment 2 Torsten Zühlsdorff 2015-05-11 09:31:18 UTC
Created attachment 156647 [details]
diff for rubygem-gollum-lib update to 4.0.3  without gem-patch

While testing i noticed, that the gemfile is not patched correctly nor seems the patch still needed. 

Therefore i updated the diff to remove the patch.
Comment 3 Michael Moll freebsd_committer 2015-05-22 18:27:39 UTC
take
Comment 4 commit-hook freebsd_committer 2015-05-26 17:48:29 UTC
A commit references this bug:

Author: mmoll
Date: Tue May 26 17:48:15 UTC 2015
New revision: 387496
URL: https://svnweb.freebsd.org/changeset/ports/387496

Log:
  www/rubygem-gollum-lib: update to 4.0.3

  PR:		199862
  Differential Revision:	https://reviews.freebsd.org/D2620
  Submitted by:	Michael Fausten <ports@michael-fausten.de>
  Approved by:	swills (mentor)

Changes:
  head/www/rubygem-gollum-lib/Makefile
  head/www/rubygem-gollum-lib/distinfo
  head/www/rubygem-gollum-lib/files/patch-gemspec
  head/www/rubygem-gollum-lib/files/patch-gollum-lib.gemspec
Comment 5 Michael Moll freebsd_committer 2015-05-26 18:35:28 UTC
committed, thanks!